{ pkgs, ... }:

with pkgs;
stdenv.mkDerivation {
  pname = "blog";
  version = "1";
  src = ./scripts/blog;
  nativeBuildInputs = [ makeWrapper ];
  installPhase = ''
    mkdir -p $out/bin
    mv blog $out/bin/blog

    patchShebangs $out/bin/blog
    wrapProgram $out/bin/blog \
      --prefix PATH : ${lib.makeBinPath [ hugo rsync git ]}
  '';
}
